[CentOS] Want to _prevent_ upgrade to centos 5.2

Ben Marsh ben.marsh at editure.com
Wed Jul 2 05:14:00 UTC 2008


Hi,

With the release of 5.2  "yum update" seems to be upgrading our 
computers from CentOS 5.1 to CentOS 5.2.  I note from release notes for 
5.2 that you are only supposed to get 5.2 if you type in "yum upgrade".  
On two  seperate machines entering "yum update" has resulted in yum 
geting repo information for packages with versions that only exist in 
the base repository of centos 5.2.

The following snippet shows the beginning of yum update on a x86_64 
server.  It has noticed python-2.4.3-21.el5.x86_64,  
ltrace-0.5-7.45svn.el5.x86_64 and system-config-securitylevel-tui.x86_64 
0:1.6.29.1-2.1.el5 which are a CentOs 5.2 package.  On a workstation yum 
update resulted in upgrade of firefox from 1.5 to 3.0-0 beta5.

Can I stop this from happening?  Ideally I would like to stay on a 
particulare version of CentOS eg 5.2 until we can do a controlled 
upgrade.  Maybe we have the same problem as having stable specified in a 
debian sources.list where what is meant by stable changes when a new 
version of debian is released.


[root at huxley-ci yum.repos.d]# yum update
Loading "installonlyn" plugin
Loading "dellsysidplugin" plugin
Setting up Update Process
Setting up repositories
epel                      100% |=========================| 1.1 kB    00:00
dell-hardware-auto        100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
updates                   100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
addons                    100% |=========================|  951 B    00:00
dell-hardware-main        100% |=========================|  951 B    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.0 MB    00:05
################################################## 3431/3431
primary.xml.gz            100% |=========================|  86 kB    00:00
################################################## 235/235
primary.xml.gz            100% |=========================|  88 kB    00:01
################################################## 183/183
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for nspr to pack into transaction set.
nspr-4.7.0.99.2-1.el5.x86 100% |=========================| 5.5 kB    00:00
---> Package nspr.x86_64 0:4.7.0.99.2-1.el5 set to be updated
---> Downloading header for python to pack into transaction set.
python-2.4.3-21.el5.x86_6 100% |=========================| 225 kB    00:01
---> Package python.x86_64 0:2.4.3-21.el5 set to be updated
---> Downloading header for pam to pack into transaction set.
pam-0.99.6.2-3.27.el5.i38 100% |=========================|  84 kB    00:00
---> Package pam.i386 0:0.99.6.2-3.27.el5 set to be updated
---> Downloading header for ltrace to pack into transaction set.
ltrace-0.5-7.45svn.el5.x8 100% |=========================| 8.1 kB    00:00
---> Package ltrace.x86_64 0:0.5-7.45svn.el5 set to be updated
---> Downloading header for system-config-securitylevel-tui to pack into 
transaction set.
system-config-securitylev 100% |=========================|  29 kB    00:00
---> Package system-config-securitylevel-tui.x86_64 0:1.6.29.1-2.1.el5 
set to be updated





More information about the CentOS mailing list